Subject: Re: Maple freezing on PCI Target-Abort

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 04 May 2006 09:05:55 +1000

> Setting the CPC925 according to item 3, fixes the problem. I give this 
> for the record, since the fix should be in PIBS, I think.
> I still don't like the fact that a user process causing the condition 
> causes the system to enter the "mon" debugger rather than being killed 
> w/ SIGBUS/SIGSEGV. I guess the correct way for a fix would be to write a 
> Maple specific machine_check exception?

Wasn't that fixed ? The current kernel will send a SIGBUS to userland.
The problem however is that in some cases, MC can be asynchronous in
which case I suppose it's possible that userland triggers a condition
that will cause a machine check later on in kernel mode. In any way,
userland direct mapping of MMIO is a root only facility...

Ben.